class A(object):
    def __init__(self):
        print("A In")


class B(A):
    def __init__(self):
        print("B In")
        super(B, self).__init__()
        print("B Out")


class C(A):
    def __init__(self):
        print("C In")
        super(C, self).__init__()
        print("C Out")


class D(B, C):
    def __init__(self):
        print("D In")
        super(D, self).__init__()
        print("D Out")


d = D()
